Loading...
Searching...
No Matches
BALL::ScoringBaseFunction Class Reference

`#include <BALL/SCORING/COMMON/baseFunction.h>`

Inheritance diagram for BALL::ScoringBaseFunction:

## Public Types

enum | BaseFunctionType { BASE_FUNCTION_TYPE__LINEAR , BASE_FUNCTION_TYPE__FERMI }

## Public Member Functions

| ScoringBaseFunction ()
| ScoringBaseFunction (float lower, float upper)
virtual | ~ScoringBaseFunction ()
virtual void | setLower (float lower)
virtual void | setUpper (float upper)
virtual float | calculate (float x) const
virtual float | calculate (float x, float lower, float upper)

## Protected Attributes

float | lower_
float | upper_

## Detailed Description

Define the interface for the base function

Definition at line 14 of file baseFunction.h.

## Member Enumeration Documentation

## BaseFunctionType

enum BALL::ScoringBaseFunction::BaseFunctionType

Enumerator
BASE_FUNCTION_TYPE__LINEAR |
BASE_FUNCTION_TYPE__FERMI |

Definition at line 21 of file baseFunction.h.

## Constructor & Destructor Documentation

## ScoringBaseFunction() [1/2]

BALL::ScoringBaseFunction::ScoringBaseFunction | ( |  | ) |

## ScoringBaseFunction() [2/2]

BALL::ScoringBaseFunction::ScoringBaseFunction | ( | float | lower,
|  | float | upper )

## ~ScoringBaseFunction()

virtual BALL::ScoringBaseFunction::~ScoringBaseFunction | ( |  | ) |

virtual

## Member Function Documentation

## calculate() [1/2]

virtual float BALL::ScoringBaseFunction::calculate | ( | float | x | ) | const

virtual

Reimplemented in BALL::FermiBaseFunction, and BALL::LinearBaseFunction.

## calculate() [2/2]

virtual float BALL::ScoringBaseFunction::calculate | ( | float | x,
|  | float | lower,
|  | float | upper )

virtual

Reimplemented in BALL::FermiBaseFunction, and BALL::LinearBaseFunction.

## setLower()

virtual void BALL::ScoringBaseFunction::setLower | ( | float | lower | ) |

virtual

Reimplemented in BALL::FermiBaseFunction.

## setUpper()

virtual void BALL::ScoringBaseFunction::setUpper | ( | float | upper | ) |

virtual

Reimplemented in BALL::FermiBaseFunction.

## Member Data Documentation

## lower_

float BALL::ScoringBaseFunction::lower_

protected

Definition at line 65 of file baseFunction.h.

## upper_

float BALL::ScoringBaseFunction::upper_

protected

Definition at line 68 of file baseFunction.h.